vec_expr_v2_unary< Op, Expr >::const_iterator

## Public Types

typedef std::forward_iterator_tag | iterator_category
typedef Expr::value_type | value_type
typedef value_type & | reference
typedef value_type * | pointer
typedef std::ptrdiff_t | difference_type

## Public Member Functions

| const_iterator (Op op, expr_const_iterator expr_iter)
const_iterator & | operator++ ()
value_type | operator* () const

## Protected Attributes

const Op | _op
expr_const_iterator | _expr_iter

## Detailed Description

### template<class Op, class Expr>
struct rheolef::details::vec_expr_v2_unary< Op, Expr >::const_iterator

Definition at line 105 of file vec_expr_v2.h.

## Member Typedef Documentation

## iterator_category

typedef std::forward_iterator_tag iterator_category

Definition at line 106 of file vec_expr_v2.h.

## value_type

typedef Expr::value_type value_type

Definition at line 107 of file vec_expr_v2.h.

## reference

typedef value_type& reference

Definition at line 108 of file vec_expr_v2.h.

## pointer

typedef value_type* pointer

Definition at line 109 of file vec_expr_v2.h.

## difference_type

typedef std::ptrdiff_t difference_type

Definition at line 110 of file vec_expr_v2.h.

## Constructor & Destructor Documentation

## const_iterator()

const_iterator | ( | Op | op,
|  | expr_const_iterator | expr_iter
| ) |  |

Definition at line 111 of file vec_expr_v2.h.

## Member Function Documentation

## operator++()

const_iterator& operator++ | ( |  | ) |

Definition at line 113 of file vec_expr_v2.h.

## operator*()

value_type operator* | ( |  | ) | const

Definition at line 114 of file vec_expr_v2.h.

## Member Data Documentation

## _op

const Op _op

protected

Definition at line 116 of file vec_expr_v2.h.

## _expr_iter

expr_const_iterator _expr_iter

protected

Definition at line 117 of file vec_expr_v2.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/linalg/lib/vec_expr_v2.h